About cc-Modeler

The key to understanding the performance of your operation is to focus on the telephone basics - call volumes, talk times, wrapup times, agent availability, delay before answer, abandonment rate and maximum time in queue.

Why? Call center performance is typically measured across several key areas, including for example -

  • Cost per call

  • Resolution rate or fulfillment rate

  • Customer satisfaction

A key element of each of these is the performance of your agents - the time taken to answer calls, the amount of time taken to resolve the callers requirement, how efficiently agents are utilized etc.

For example -

  • If there are protracted queuing delays in peak periods, callers hang up and may go elsewhere. They are almost certainly dissatisfied with your performance.

  • If it takes 3 minutes rather than 4 minutes to resolve the caller's requirement then that can convert into significant (and measurable) cost savings and/or service improvement.

The most common calculation is to determine the number of agents required to handle the incoming call volumes at each time through the day, while maintaining a particular average 'delay before answer' (also known as 'time in queue'). However cc-Modeler does much more.

  • Multiple projects and multiple days ranges within a project

  • Coverage hours up to 24 by 7

  • Time intervals can be 15 minutes or 30 minutes

  • Handles up to 9999 calls per interval and 999 agents

  • Service performance goals based on either average delay before answer or percent of calls answered within threshold

  • Automatic recalculation when any data is changed

  • Import call data from ACD reports

  • Handles multiple shifts per day, with different start times, end times and agents

  • Plans rostered breaks and off-phone activities

  • Shows rostering efficiency so that you can change rosters and identify improvement

  • Comprehensive performance analysis data

  • Comprehensive graphs which can be exported (data and images)

  • Scenarios to instantly show the effect of varying call volumes, talk times and performance goals

  • Uses the industry-standard Erlang C model

  • Also has a simulation module for modeling mixed call types, prioritized calls & abandonment rates

  • Share data among network users

  • Multiple databases

  • High performance transactional design

About cc-Modeler Professional

cc-Modeler Professional simplifies staffing, scheduling and optimizing service in your call center, service center or help desk - no matter whether it is large or small.

Optimize staffing

- Identify your staffing needs for each period
throughout the day.

- Handle multiple shifts and planned breaks, so
that you can optimize agent schedules.

Improve service levels

- Provide detailed performance analysis through
the day, based on your service level goals.

- Eliminate periods of agent overload.

- Improve overall call center capacity.

Reduce costs

- Evaluate the impact of agent numbers on your
service level & abandoned calls.

- Improve the productivity of your staff through
better scheduling.

Investigate various scenarios

- Such as the impact of an additional 5% of calls
or a 30 second reduction in talk time.

Reduce staff burnout

- Schedule off-phone activities to provide more
work variety, as well as balancing occupancy
against ASA goals.

Increase customer satisfaction & revenues

- Improve customer satisfaction through
reduced ASA and more consistent
performance.

- Reduce the number of abandoned calls.

Simulate your actual operation

- cc-Modeler also uses simulation to give
real-world accuracy and in-depth
analysis.

- For example, for mixed call types &
priorities.

Calculate abandons

- With the simulation module, you can
now calculate the expected
abandonment rate for varying
staff levels

- Abandoned calls are an issue for any
call center manager, as they mean
customers who may be taking their
business elsewhere.

Corporate-wide data

- Now you can have multiple databases,
for example for separate groups or
departments.
- Share your data with other cc-Modeler
users anywhere on the network.

  • Why use cc-Modeler?

  • Features

V3.0 Last updated September 2012


Daily Calls Tab

The main cc-Modeler screen is shown below, with the 'Daily Calls' tab selected.

  • Move your mouse over the screen image below to identify the key features on this tab.

See also -

  • Staffing Tab

  • Service Levels Tab

  • Graphs Tab


Staffing Tab

The 'Staffing' tab is shown below.

  • Move your mouse over the screen image below to identify the key features on this tab.

  • Daily Calls Tab

  • Service Levels Tab

  • Graphs Tab


Service Levels Tab

The 'Service Level' tab is shown below.

  • Move your mouse over the screen image below to identify the key features on this tab.

  • Daily Calls Tab

  • Staffing Tab

  • Graphs Tab


Graphs Tab

The 'Graphs' tab is shown below.

  • Move your mouse over the screen image below to identify the key features on this tab.

  • Daily Calls Tab

  • Staffing Tab

  • Service Levels Tab


Terminology

The terminology used in call centers varies, depending on the phone system vendor, the country and type of operation.

Some equivalent terms are -

Industry Term | cc-Modeler Equivalent
ASA (average speed to answer) | Delay before answer
AHT (average handling time) | Talk Time + Wrapup
Occupancy (daily productivity) Also called AUR (agent utilization rate) | Not exactly equivalent to Talk Time Ratio (which excludes breaks)
Service Level (within xx seconds) | Percent within xx seconds
Abandonment Rate (number of calls abandoned / offered calls) | Same. Note that abandoned calls usually exclude those abandoned within a threshold e.g. the first 10 seconds
First call resolution | Not part of cc-Modeler
Incoming calls | cc-Modeler always specifies whether it's 'offered' calls or 'answered' calls being referred to. See note
Answered calls | Answered calls (offered less abandoned)
Phone system, switch, ACD | Same

Note The term 'incoming calls' is often inconsistent. Basically it depends on the particular viewpoint -

  • From the phone system point-of-view, 'incoming' means offered

  • From an agent's point-of-view, incoming means answered (i.e. offered less abandoned)

  • In the context of workload-based calculations such as Erlang C, 'incoming' always means 'answered'


Sample Project 1 - A medium call center

There are three sets of days set up for this project, because Friday's have 10% more calls than other days of the week; and Saturday/Sunday have only 25% of weekday calls.

    • Service Level Goals

This center has an service level goal (SLA) of 20 seconds average delay before answer

    • Talk Duration and Wrapup Time

The talk times are reasonably short in this example, 180 seconds average (3 minutes), with a wrapup of 30 seconds.

    • Call Distribution

There is a morning peak at 10 a.m. and a smaller afternoon peak around 2:30 p.m.

  • There are 4 separate shifts to cover the extended hours optimally. Each agent works an 8 hour shift (i.e. there are no part-time agents in this center). The number of agents on each shift was arrived at as follows:

  • Day Shift 1 has 11 agents, to cater for the call rate at 9 a.m. (ideally it should have 12 agents, but we are aiming for minimum total staff to achieve service levels across the whole day period)

  • Evening shift was created next, with 7 staff to cover the period up to 8 p.m.

  • Day Shift 2 starts at 9:30, not so much for the calls at that time but to cover the period up to 4:45 p.m. where it needs 5 agents

  • Mid Shift was created last, to provide coverage through the morning peak, afternoon peak and to cover agents rostered off for meal breaks

  • Each agent has a 60 minute lunch/meal break, plus two 15 minute breaks. These are all planned (rostered) breaks i.e. the times are designated as part of the roster. To minimise the impact on service levels, only some of the agents on a particular shift are rostered for meal breaks at the same time.

  • The end result is that there is overstaffing at several times through the day, while 'bare minimum' staffing at other times. This cannot be prevented, however the extra agents are utilized by -

  • Each shift having a short meeting every day (15 minutes)

  • Evening shift allocated off-phone work for 75 minutes as they come onto shift

  • Day Shift 1 and Mid Shift having an hour of off-phone work in the afternoon

  • Day shift 2 having 105 minutes off-phone work late afternoon

  • The end result is a quite effective roster, achieving 91% rostering efficiency while also meeting the daily service level (ending up with a daily average delay of 12 seconds). There is a period around 6 p.m. where the delay does 'blow out' to 40 seconds - this was deemed acceptable in the roster design.

  • Note the color coding on the 'Actual Agents by time of Day' graph - click the 'Legend' menu to see what the colors mean.

There are 20% more calls, which requires one extra agent on Day Shift 1 and one extra on Evening Shift.

There are only 25% of the calls of a weekday, so staffing levels are reduced accordingly. Day Shift 2 has been eliminated from the weekend coverage.

  • The top section shows the detailed service levels for each interval throughout the day. You will note that the 'Average Delay' row is color-coded to indicate whether or not the service level is met for that period.

  • At the centre is the performance summary for the entire day.

  • The graph shows the delay before answer for each interval of the day.

Click on the graphs sub-menu to see the various graphs. As you can see, overall there are no obvious issues with the performance of the center.

Sample Project 1 - A medium call center

This project is a medium sized call center handling 2000 calls per day. It operates from 9 a.m. to 8 p.m., 7 days a week.

Click the links below to see more details.

Days

Details

Staffing

Monday to Thursday

Friday

Saturday and Sunday

The Service Levels Tab

Details

The Graphs Tab

Details


Sample Project 2 - A help desk

There is one set of Days set up for this project, covering the whole coverage period Monday through Friday. Note that it uses 24-hour time format, and has a 30 minute time interval.

    • Service Level Goals

This help desk has an service level goal (SLA) of 80% of calls answered within 40 seconds.

    • Talk Duration and Wrapup Time

The average talk times are 4 minutes, with a wrapup of 1 minute..

    • Call Distribution

There is a morning peak at 11:30 a.m. and a smaller afternoon peak at 3:30 p.m.

Monday to Friday

    • There are 2 shifts to cover the extended hours. Each agent works an 8 hour shift.

      • Day Shift has 2 agents, to cater for the call rate at 9 a.m. (note that there should really be 3 agents at 9:30 a.m. rather than 2, but we are aiming for minimum total staff to achieve service levels across the whole day period)

      • Late shift starts at 10 a.m. with 1 agent to cover the period up to 6 p.m.

    • Each agent has a 60 minute lunch/meal break. There are no other rostered breaks through the day (in practice the agents would take breaks during 'quiet' periods).

    • The end result is that there is understaffing at some times of the day. However the overall service level for the whole day is met (82.6% of calls being answered within 40 seconds). In practice, the manager of this help desk would probably put on one additional agent on Late Shift to better meet service levels, because -

      • The maximum time in queue between 4:30 p.m. and 6 p.m. is very long (see the 'Graphs' tab)

      • Just a few extra calls will 'blow out' the delay before answer

    • Note the color coding on the 'Actual Agents by time of Day' graph - click the 'Legend' menu to see what the colors mean.

  • The top section shows the detailed service levels for each interval throughout the days. You will note that the 'Average Delay' row is color-coded to indicate whether the service level is met for that period.

  • At the centre is the performance summary for the entire day.

  • The graph shows the delay before answer across each interval of the day.

  • Click on the graphs sub-menu to see the various graphs. As you can see, overall performance is marginal and would benefit by one additional agent.

  • Note that the Talk Ratio is quite low compared to that of Sample Project 1. This is normal and shows that a small operation cannot be as efficient as a center with high call volumes (if it is to meet designated service level goals).

Sample Project 2 - A help desk

This project is a help desk handling 2000 calls per month. It operates from 8:30 a.m. to 6 p.m. Monday to Friday.

Click the links below to see more details.

Days

Details

Staffing

Details

The Service Levels Tab

Details

The Graphs Tab

Details


  • As you move the mouse over the Calls cells, you will see the mouse pointer changing to a [image] This indicates that this is a data-entry cell - click the left mouse button to enter data.

  • If you click the right mouse button instead, you will see a pop-up menu which includes 'Paste Call Values from Clipboard'.

  • As you move the mouse over the Calls cells, you will see the mouse pointer changing to a [image] This indicates that this is a data-entry cell - click the left mouse button to enter data.

  • If you click the right mouse button instead, you will see a pop-up menu which includes 'Paste Call Values from Clipboard'.

  • Select the 'Staffing' tab and click the right mouse button while on the 'Shift' column. You will see a pop-up menu.

  • Select the 'Add Shift' option and enter the shift details

  • Add shift breaks and other activities as required

To Create Your First Project

The steps in adding a new project are -

  1. Select 'Add Project' from the 'File' menu

  2. Enter the properties for the new Project.

  3. Click 'Next'. Creating a new Project also creates the first Days for it. Enter properties for the days. (You can subsequently add more Days to the project at any time).

  4. Click 'Finish'

  5. Now select the Days you just created. You will see that the calls are initially zero, and (if you click the Staffing tab) there are no shifts defined yet.

  • Enter the call data (or paste it from an ACD report).

  • Create one or more shifts.

  6. That's it. You can subsequently change any of the details for the Days (calls, shifts) or add other Days.


Concepts

Days

Within cc-Modeler you typically work on 'Days', which can be either a range of days (e.g. Monday to Friday) or a single day (Monday).

Projects

Days are grouped together into 'Projects'. Projects can be set up for particular groups, times of year, special projects, types of activities etc. For example-

Projects | Days for each Project
Inbound Calls Group A - September |
 | Monday to Thursday
 | Friday
 | Saturday & Sunday
Inbound Calls Group B - September |
 | Monday to Thursday
 | Friday
 | Saturday & Sunday
Outbound Telemarketing |
 | Monday to Friday

Project Properties

Each project defines several properties which apply to all Days comprising it - the time format and time interval.

Days Properties

Within a Project, each Days can have their own properties such as -

  • Service Level goal

  • Talk Duration and Wrapup Time

  • Start Time and End Time (i.e. the operating hours)

  • Number of calls and their distribution

  • Shifts

  • The number of agents on each shifts, and their activity types and rostered breaks


To Add a New Project

Description

A title for this project e.g. 'Account Inquiries Group'

Notes

Descriptive notes (optional) These are shown as 'tooltips' as you move over the main Projects/Days tree

Time Interval

This specifies the intervals to base call volumes and calculations on.

  • 15 minute interval

  • 30 minute interval

  • If your PBX or ACD only provides data for 60 minute intervals there is a convertor available to change them to 30 minute intervals. You can download it from here

Time Format

cc-Modeler allows you to use either -

  • 12 hour format, that is a.m. and p.m. times e.g. '7 p.m.'

  • 24 hour format, e.g. '19:00'

Description

A title for this Days e.g. 'Monday to Friday'

Notes

Descriptive notes (optional). These are shown as 'tooltips' as you move over the main Projects/Days tree

Coverage Start Time

The start time of your operation.

Note: When you subsequently enter shift details, their start times must be within the coverage hours. i.e. if you have a Coverage Start Time of 09:00, then all shifts must start at 09:00 or later

If you have 24 hour coverage, specify the Start Time as 00:00 and the End Time as 23:59

Coverage End Time

cc-Modeler allows you to use either -

  • 12 hour format, that is a.m. and p.m. times e.g. '7 p.m.'

  • 24 hour format, e.g. '19:00'

Days range

Click the days of the week that this Days includes

Service Level

Click here for an explanation of Service Levels

  • If your service level goal is based on the 'average delay before answer' then enter the average delay (seconds)

  • If the service level goal is based on the 'percentage of calls answered within a threshold' then enter the percentage and threshold (e.g. 80% within 40 seconds)

Talk Duration

The average time an agent spends on the phone with each caller. This is generally available from your telephone or ACD reports.

The total call duration is Talk Duration plus Wrapup Time.

Wrapup Time

The average time the agent spends after hanging up the phone and before answering the next call. (Wrapup typically includes administration and back-end activities such as completing data entry of the previous call details).

Notes

Lost/Busy Calls

The maximum percentage of callers who are permitted to receive a lost or busy signal when they call (e.g. 1% means that only one caller in 100 will get a busy signal). This percentage is used by cc-Modeler when calculating trunk lines. The lower the Lost/Busy Calls percent, the more trunks you will need.

Depending on the ACD vendor and the way your center operates, it can sometimes be difficult to establish average wrapup times.

1. If total call time reports are available, but not split into talk and wrapup, you can use total for 'talk time' and set wrapup as zero. The only calculation that will be affected in cc-Modeler is the number of trunks required.

2. If you wish to estimate wrapup times, try 'back calculating' by entering your actual statistics (calls, agents, talk time and service level) and let cc-Modeler calculate wrapup.

To Add a New Project

  1. Select the 'Add Project' option from the 'File' menu. (You can also choose 'Add Project' from the context-sensitive menu which pops up when you click the right mouse button anywhere on the Project/Days tree).

  2. Enter the Project details

    • Leave the 'Base properties on existing project' box unchecked if you want to create the Project from scratch. Otherwise click the box and select the existing project to base the new one on.

    • Enter the details

  3. Then click the 'Next' button. The 'Days Properties' tab is shown.

  • Creating a new Project always creates Days for it as well.

  • If you based the new Project on an existing one, you can now select which existing Days to base the new Days properties on.

  • Enter the following details

Note You can make a copy of an existing project via the 'Save Project As...' menu.


To Change a Project's Properties

First select the project (or any Days which belong to it) then choose the 'Project Properties' option from the 'File' menu (or the pop-up menu when you click the right mouse button on the Projects/Days 'tree')

You can change the Description or Notes.

Note You cannot change the Time Format or Time Interval for an existing project.

See also - Changing a Day's Properties


Deleting a Project

To delete a Project, first select it then choose 'Delete Project' from the 'File' menu (or the pop-up menu when you click the right mouse button on the Projects/Days 'tree').

Note Deleting a Project also deletes all the Days that belong to it.


To Add Days to a Project

Description

A title for this Days e.g. 'Monday to Friday'

Notes

Descriptive notes (optional) These are shown as 'tooltips' as you move over the main Projects/Days tree

Coverage Start Time

The start time of your operation.

Note: When you subsequently enter shift details, their start times must be within the coverage hours. i.e. if you have a Coverage Start Time of 09:00, then all shifts must start at 09:00 or later

If you have 24 hour coverage, specify the Start Time as 00:00 and the End Time as 23:59

Coverage End Time

cc-Modeler allows you to use either -

  • 12 hour format, that is a.m. and p.m. times e.g. '7 p.m.'

  • 24 hour format, e.g. '19:00'

Days range

Click the days of the week that this Days includes

Service Level

Click here for an explanation of Service Levels

  • If your service level goal is based on the 'average delay before answer' then enter the average delay (seconds)

  • If the service level goal is based on the 'percentage of calls answered within a threshold' then enter the percentage and threshold (e.g. 80% within 40 seconds)

Talk Duration

The average time an agent spends on the phone with each caller. This is generally available from your telephone or ACD reports.

The total call duration is Talk Duration plus Wrapup Time.

Wrapup Time

The average time the agent spends after hanging up the phone and before answering the next call. (Wrapup typically includes administration and back-end activities such as completing data entry of the previous call details).

Notes

Lost/Busy Calls

The maximum percentage of callers who are permitted to receive a lost or busy signal when they call (e.g. 1% means that only one caller in 100 will get a busy signal). This percentage is used by cc-Modeler when calculating trunk lines. The lower the Lost/Busy Calls percent, the more trunks you will need.

Depending on the ACD vendor and the way your center operates, it can sometimes be difficult to establish average wrapup times.

1. If total call time reports are available, but not split into talk and wrapup, you can use total for 'talk time' and set wrapup as zero. The only calculation that will be affected in cc-Modeler is the number of trunks required.

2. If you wish to estimate wrapup times, try 'back calculating' by entering your actual statistics (calls, agents, talk time and service level) and let cc-Modeler calculate wrapup.

To Add Days to a Project

Each Project can have one or more Days (a single day of the week, or a range of days).

  1. To add Days, select the project (or existing Days for a project) and use the 'Add Days' option from the 'Days' menu. Alternatively you can select the 'Add days' option from the pop-up menu on the Project/Days 'tree'.

  2. You can base the new Days on one of the existing Days for this project, or start from scratch.

  3. Enter the following details

  4. Click 'Finish'

  5. Now you must enter the call data for the new Days. See Entering Daily Calls.

  6. You generally also add shifts for the day, and agents for each shift. See Adding a Shift for details.

Note You can create a copy of existing Days by using the 'Save Days As'... menu. If you also want to copy shifts, just use the 'Copy All Shifts' menu.


To Change a Day's Properties

To change the properties for a Day, first select it then choose 'Days Properties' from the 'Days' menu (or the pop-up menu when you click the right mouse button on the Projects/Days 'tree').

You can change any of the details including the service level goal for that Days.

Note However you cannot change the Start Time or End Time for existing Days - you must create a new one.


Copying Projects & Days

There are two separate ways to copy an existing Project or Days -

  • Add a new Project (or Days) and base it on an existing one. This allows you to change the start and end times but will not copy the calls

  • Save As... This also copies the calls

Note Neither of the above copies any shifts to the new Days. Just use the 'Copy All Shifts' menu and paste them to the required Days.


Deleting Days

To delete a Days first select it, then choose 'Delete Days' from the 'Days' menu (or the pop-up menu when you click the right mouse button on the Projects/Days 'tree').


Changing the Sort Order

You can change the order in which Projects and Days are shown.

Click the right mouse button while over the Projects/Days 'tree' and select the 'Change Sort Order' option.

  • To change the order of projects, drag the Project you wish to move up or down.

  • To change the order of days, select the Project then drag the Days you wish to move up or down.


Exporting Data for the Current Days

To export all data in the selected Days for a project , select the 'Export data' option from the 'Data' menu.

You will see that there are several options -

Include Shift Data

Select this to include the shifts and breaks in the export

Save to Clipboard or File

  1. If you are going to paste the data into a spreadsheet the simplest way is to select 'Save to Clipboard. Then open up your spreadsheet and select the 'Edit' - 'Paste' menu.

  2. Select the folder to save the export file in, and enter the file name.

    • The export format is 'tab delimited', that is, it has a tab between each column of data.

    • All data is exported for each interval throughout the day -

      • Calls

      • Agents required

      • Actual agents

      • Service performance statistics

      • Shifts and breaks (if you selected that option)

Note Graphs are not included in the export. You can copy individual graphs by clicking the 'Copy to Clipboard' button on the graph's toolbar.


Entering Daily Calls

cc-Modeler uses the number of incoming (answered) calls to determine the number of agents required (to meet the designated service level).

  • For each interval through the day there will be a certain volume of incoming calls. This call data is entered on the Daily Calls tab and is used to calculate the number of agents required at each time.

  • As you move the mouse over the Calls cells, you will see the mouse pointer changing to a [image] This indicates that this is a data-entry cell - click the mouse button to enter data for the selected interval.

Hint After entering one cell you can use the Tab key to move to the next cell.

Notes

  • The call values you enter here should always be 'answered calls', not 'Incoming Calls' (which also include abandoned calls).

  • If you have a spreadsheet or report containing the day's call data, you can paste the data directly into cc-Modeler.

  • Ensure that the call data you are using is for a 'typical' day - often some days of the week have different volumes and daily distributions to others. If there is a significant variation between days then consider setting up several Days ranges.

  • We recommend that you use 15 minute call intervals where possible as it provides more accuracy, particularly during the morning 'ramp up' where call volumes are changing quickly.

  • If your phone system only gives call data in 60 minute intervals, we provide a conversion tool. You can download this from here.

  • If your phone system does not provide daily call reports for each interval through the day, you may have to gather call statistics from your CRM or helpdesk system, or even manually.

  • If you are using cc-Modeler for an outbound operation, simply enter the required outbound call volumes for each interval.


Pasting Call Data from the Clipboard

Most telephone systems and ACD's provide reports with the daily call data. As long as -

  • You have set up the Project with the same time interval as the ACD report (e.g. 15 minutes); and

  • The start and end times you select in the report match the start and end times for the Day's

then you can import the daily call data directly into cc-Modeler.

  1. Select the range of values in the source report e.g. from a row or column. (Only select the call values, not times of day).

  2. Copy them to the clipboard (using the application's 'Edit - Copy' function)

  3. Paste them into cc-Modeler using the 'Paste Call Data' from the 'Data Menu' (you can also click the right mouse button while over a call cell)

Notes

  • If the range (number of intervals) of the data on the clipboard does not match the number of interval for the Days, you will see a warning message - cc-Modeler simply truncates or pads the data accordingly.

  • cc-Modeler can import data from the clipboard in most common formats -

  • Tab delimited

  • Comma delimited

  • From an Excel column or row

  • From a document column

  • If you receive an error when importing, also check the 'Format' of the Excel data range, especially that it is text or number, not a custom format.


Copying Call Data from Existing Days

There are two ways of copying call values from an existing Days -

  • While over any Calls cell, click the right mouse button and select the 'Copy Call Values to Clipboard' menu. Then select the new Days and use the 'Paste Call Data' menu; or

  • Save the existing Days as a new Days, using the 'Save Days As' option on the Days menu. This copies all data from the existing Days (calls, shifts, shift breaks and other properties).


Changing Call Data

There are several ways to change existing call data for a Days -

  • If you just want to change the calls for one interval, click on the appropriate Calls cell.

  • To change all values, either enter them one-by-one or paste the values for the entire day from the clipboard.

  • To increase or decrease calls by a percentage (e.g. increase Monday calls by 10%) use the Scenarios option, then 'Save' the result.

  • To create a new Days based on the selected days, with calls increased or decreased (e.g. Friday will be similar to Monday to Thursday, but with an additional 5% of calls), use the Scenarios option and 'Save As' (with a new Days name). This will also copy the shifts and breaks from the selected Days.


Exporting Call Data

You can export the call data for a selected Day by copying the values to the clipboard.

  • While over any Calls cell, click the right mouse button and select the 'Copy Call Values to Clipboard' menu.

  • Then paste the data into your other application (e.g. a document or spreadsheet).

Note The call values for every interval in the day are copied.


Concepts

  • Each Days can have one or more Shifts

  • Each Shift has a start time, an end time and a certain number of agents on the shift.

  • There may be breaks defined for certain periods during a shift (such as 'Meal Break'), and other activities (such as 'Meeting' or 'Off Phone Work').

  • The actual agents for a particular interval is the sum of the agents on each shift for that interval, less those on breaks or other activities. For example -

Between 12:30 and 12:45 the actual (available) agents are as follows -

Shift | Agents on Shift | Actual Agents at 12:30
Day Shift 1 | 11 | 11 less 5 on Meal Break = 6
Day Shift 2 | 5 | 5 less 2 on Meal Break = 3
Mid Shift | 6 | All 6 available
Evening Shift | 7 | All 7 doing Off Phone work i.e. 0 available
 | Total Actual Agents | 6 + 3 + 6 = 15

  • It is the Actual Agents which is used to calculate whether the service level goal will be met for that interval, and the performance statistics.


Adding a Shift

To add a Shift -

  1. Select the Days to work on

  2. Click the 'Staffing' tab

  3. Select 'Add Shift' from the 'Shifts' menu (or click the right mouse button while over the Shifts area of the tab (the top section) and select 'Add Shift' from the pop-up menu).

  4. Enter the Shift details -

Description | The description (title) for the shift
Start Time | Select the time at which this shift will start (it must be within the start and end times of coverage for that Days).
End Time | Select the time at which this shift finishes. (e.g. if the shift ends at 5:00 p.m. then you actually select 4:59 p.m. as the end time). To create shifts with lengths other than 8 hours, simply vary the end time accordingly.
Number of Agents | The number of agents who will be rostered onto this shift.

  • When you first create a new shift, the agents are 'Available' for the whole length of the shift (shown by a blue bar [image] ).

  • Once you have created a shift, you can then define shift breaks and off-phone activities for it (if required).

Hint You can set the number of agents on a shift as zero. In this case you will see the shift change to a silver colour. Note however that the shift details and breaks are not deleted - if you subsequently change the number of agents to a non-zero value, the breaks are restored.


Adding Breaks and Activities

You can set up breaks (such as meal breaks) and off-phone activities (such as meetings or background work) for each shift.

  • The length of a break is a multiple of the Time Interval defined for the Days (e.g. if the Time Interval is 15 minutes, then breaks can be 15 minutes, 30 minutes, 45 minutes etc).

  • You can have all agents or just some of the agents on a break e.g. if there are 10 agents on a particular shift, you may have 6 of those on a 'Meal Break at 12:00, with the other 4 still working.

  • Defining rostered breaks and ensuring adherence to them increases the efficiency of your scheduling.

Types of Breaks

Activity | Description
Available | The agents are available for phone calls i.e. logged on. This is the default status when you first create a shift.
Meal Break | Lunch or other meal break
Rostered Break | Rest breaks e.g. 15 minute afternoon break
Off-Phone Work | Activities where the agent is not on the phone e.g. handling of e-mail or FAX contacts; administrative activities; call followup; personal development activities etc.
Meeting | Team meetings; coaching sessions etc
Other | Anything that does not fit into the other categories

To Add a Break to a Shift

  • Move the mouse over the shift and the time interval where you want to create a break e.g.

  • Click the mouse button - a drop down selection list will be shown.

  • Select the type of break you wish to create.

  • You will then see a pop-up window where you define -

    • The number of agents to have on the break (all agents or just some)

    • The length of the break

Notes

  • If there is no break for a period, the default status is 'Available'

  • If there are some agents on a break (e.g. 5 agents out of 10 on the shift) then, as well as the type of break being shown by its color, the number of agents on the break is also shown on the shift 'bar'. e.g.

  • Set up rostered meal breaks so that they do not impact the service level for that interval e.g. stagger the breaks and have only some staff on the break.

  • Plan off-phone activities for periods where cc-Modeler shows that you are overstaffed.

  • As you add breaks, you will see that -

  • The number of 'Actual Agents' changes automatically

  • The service performance is updated

  • The 'Rostering Efficiency' changes

  • Use the 'Legend' menu to show the types of breaks and their colors

Hints

You can set a break that extends for the entire shift. On the pop-up window where you set the number of agents on a break and the length of the break, move the slider to the extreme right-hand end. You will see the caption change to 'Apply to entire shift'


Modifying or Deleting a Shift

To Modify a Shift

  • Click on the shift start time; shift end time; or number of agents to change their values.

  • To rename an existing shift, move your mouse over the row of the shift you wish to rename.

Click the right mouse button and select the 'Rename Shift' option from the pop-up menu.

To Delete a Shift

While your mouse is anywhere over the Staffing grid (the top section of the Staffing tab), click the right mouse button. Select the 'Delete Shift' option from the pop-up menu.


24 Hour Operations

If you have defined the operating period for a day to be 24 hours (i.e. 00:00 to 23:59) you can also create shifts which extend past midnight.

For example, if 'Night Shift' goes from 20:00 through to 04:00 (8 hours), just enter it with a Start Time of 20:00 and an End Time of 03:59. cc-Modeler will automatically 'wrap' it past midnight.

Even though such a shift is displayed as two separate portions e.g. 00:00 to 03:59, and 20:00 to 23:59, cc-Modeler still treats it as a contiguous shift. So if you add a one hour break starting at 23:30 it will automatically 'wrap' the second 30 minutes to after midnight.


Copying shifts to a different Day

To copy all the existing Shifts for a Days to a different Days, simply select 'Copy All Shifts'.

You can then paste those Shifts to a different Days ('Paste All Shifts')


Printing Shifts

Print the Shifts chart or copy it to the clipboard

Since the Shifts graph is often quite wide, it usually requires scrolling left and right to view the whole day.

Use the 'Show Full Day (Chart)' menu to view it at the full screen width.

  • To copy the chart to the Windows clipboard, use the 'Copy' button (at the top left of the chart window). You can then paste the image into another application such as Excel or Word.

  • To print the chart, select the 'Print' button.

Notes When you click 'Print' the Printer Dialogue window is always shown. Use 'Preferences' to set Landscape (or Color if it is a color printer) if those are not your default printer settings)
If the chart is too wide to print on one page, it will automatically print across several pages.


Chaning the Shift Order

Changing the Shift Order

You can change the order in which shifts are shown. While your mouse is anywhere over the Staffing grid (the top section of the Staffing tab), click the right mouse button. Select the 'Change Shift Order' option from the pop-up menu, then just drag the shifts up or down to change the order.


Rostering Efficiency

As you add shifts, modify the number of agents on each shift and add breaks, cc-Modeler automatically recalculates the actual agents and the service performance statistics. The 'Actual Agents by Time of Day' graph shows the number of agents under or over what is required to meet the service level goal for each time interval.

In addition cc-Modeler also shows you a measure of how effective your planning of shifts and breaks is. This is shown on the Staffing tab as 'Rostering Efficiency'.

What is Rostering Efficiency?

  • Rostering Efficiency is a measure that indicates quantitatively how well the agent scheduling over the whole day matches what is required.

  • If there was perfect coverage, with the actual agents exactly matching the required agents at every time through the day, the rostering efficiency would be 100%. This 'perfect world' is rarely achieved in practice though.

  • As the coverage gap between actual and required agents opens up, the rostering efficiency declines.

  • Understaffing reduces the rostering efficiency, however overstaffing also reduces it. This is because overstaffing adds to your costs.

How to use it

  • As you change shifts; the number of agents on each shift; or breaks, look at the Rostering Efficiency value. Is it increasing or decreasing? The goal is to get it as high as you can.

  • Typically when you first create shifts for the Day, the Rostering Efficiency is around 60% to 70%. By juggling shift start and end times, the number of agents and breaks it should be possible to achieve 90% or thereabouts.

  • This improvement can be very significant, in both cost and resource reduction, particularly in a large center.

  • You will also find that you can have more off-phone work done, without impacting any service level.


Service Level Concepts

The service that you provide to callers is primarily measured by how long it takes for an agent to answer their call. This is called the service level goal, or sometimes 'SLA' (which stands for service level agreement). The service level goal is defined as either -

  • Average Delay Before Answer ('ADA'), for example an average delay of 20 seconds to answer each call; or

  • Percent Within Threshold, for example '80 percent of calls to be answered within 40 seconds. This measure is sometimes also called 'grade of service', in which case the threshold is usually 40 seconds. e.g. a grade of service of 80%.

It is important to set up your staffing levels to achieve a consistent level of service performance - not just to ensure customer satisfaction with your operation, but also to maximize your efficiency (and minimise costs).

There are many other performance metrics however, which can assist you in managing your center's performance. These include -

  • Maximum time in queue

  • Percent of calls which are queued

  • Number of calls in the queue

  • Talk time ratio (sometimes also called 'occupancy')

  • Number of trunks required (to prevent lost or busy signals to a caller)

Most of these metrics are interrelated, for example increasing average delay before answer also affects all the others. However they also vary with the number of agents available, the talk duration and the wrapup time. In many cases the relationships are quite complex and non-linear (for example a small increase in call volumes can result in a very large increase in the maximum time in queue).

cc-Modeler enables you to instantly see all the performance metrics, for each interval through the day, both quantitatively and graphically. Just as importantly, as you change any data, cc-Modeler recalculates all the metrics and graphs.

Using cc-Modeler's 'Scenario' function you can vary call volumes, talk times and service levels and see the effect. Then either save the results or undo the calculation.


The Service Level Tab

The 'Service Level' tab shows you a full set of performance metrics, for each interval through the day.

  • The top section shows -

Calls | The calls for that period (from the Calls tab)
Agents Required | The number of agents required to meet the service level goal (from the Calls tab)
Agents Available | The number of agents available i.e. logged onto the phone queue (from the Staffing tab)
Percent < nn seconds | The percent of calls answered with threshold. This is color coded according to whether or not the service ;level has been met (if your service level is based on percent within threshold). More details.
Average Delay | The average delay before answer. This is color coded according to whether or not the service level has been met (if your service level is based on average delay). More details.
Max Time in Queue | The estimated maximum time a caller will be on-hold (i.e. in the queue). More details.
Talk Time Ratio | The talk time ratio. More details.

  • The center section, 'Performance Summary' shows the key statistics for the entire day.

Answered Within nn seconds | The percent of calls answered with threshold. Note If your service level goal is set as an 'average' for the whole day, you may still achieve the daily goal even if it is not met at certain key periods through the day (often at peak times such as 09:00). Use common sense - there is little point just looking at the big picture (in this case the entire day) if your performance at some times throughout that day is unsatisfactory.
Average Delay Before Answer | The delay before answer for the whole day.
Maximum Time In Queue | The longest time a caller will wait at any time that day. (Note that this is an estimate only).
Average Talk Ratio | The talk ratio for the whole day. More details.

  • The lower section has a graph showing the Average Delay Before Answer for each interval through the day. This is color coded according to whether the service level was met (if your service level goal is based on average delay). See also the Within Goal graph on the 'Graphs' tab which shows the percent within threshold.


Sharing Data

cc-Modeler Professional provides for multiple cc-Modeler users, perhaps each with their own data. Users can share any of these database with other cc-Modeler users, anywhere on the network.

For example there may be 4 separate sections, each responsible for their own workforce planning. There is also a manager, who needs access to the data for all 4 sections. In cc-Modeler, each section will have their own cc-Modeler database and these are shared amongst themselves and also their manager.

For example -

Notes

  • Each cc-Modeler database is a single file (with a .db3 extension) and may be located on the user's local drive (e.g. C) or on a network share (e.g. \\SERVER1\E)

  • You need a separate license for each of the 5 computers running cc-Modeler above.

  • User access is controlled by normal network access privileges to drives and folders


Segmenting Data

cc-Modeler provides a 2-level hierarchy of Projects and Days. You may need to segment your data further though. For example, for different teams or sections; for different centers; or for specific modeling purposes.

cc-Modeler Pro allows you to segment data into separate databases, then select which one you want to work on at a particular time.

There is no restriction on where the databases reside - you can use them across the network.

The most common scenarios are -

  • Keep all the databases in your local cc-Modeler data folder (that is ProgramData\cc-Modeler). If other users need to access these you can set the folder up as a network share.

  • Each team or section has a database on their own computer.

  • All databases are kept on a server, then accessed by various users. (The main benefit of this approach is that server data is usually backed up regularly)

It's up to you which approach is most suitable for the way you work.


Switching between databases

You can only be connected to one database at a time, and the current database is shown on cc-Modeler's top toolbar (as its descriptive name and path).

  • To select a different database, choose 'Select Database' from the 'File' menu.

'Browse' to find the particular database file (which will have a '.db3' file extension). The initial folder is always ProgramData\cc-Modeler (the default folder for data files).

Click on the database you want to use, then 'OK' from the 'Select Database' screen.

  • To switch between any of the databases you have defined, use the 'Recent' list (on the 'File' menu).

  • To rename the database

As well as its filename, each database has a short, descriptive name. This makes it far easier to see which database you are currently using, and we recommend you name every database.

To rename, just click the 'Rename' button and enter a short description.

Note

You cannot rename the default database, ccMP-Default.db3 - it is always called 'Default'


Adding a new database

cc-Modeler does not create new databases for you.

This is deliberate, as most organizations have security restrictions on folder and file access by network users. This generally means you need to involve system admin staff when creating folders which will be shared by multiple users, especially if setting up network shares.

Adding a new database to the default folder on your own PC is straightforward though.

  1. In Windows Explorer navigate to the 'ProgramData\cc-Modeler' folder (generally on the 'C:' drive)

  2. You will see one or more existing files with a '.db3' extension, including a 'ccMP-Default.db3 (that is the default database).

Important: By default, Explorer may not be showing the file extensions for files in this folder. To change that, select 'Folder & Search Options' from the 'Organize' menu. On the 'View' tab you will see an option 'Hide extensions for known file types' - un-check that option.

  3. To create a new database, simply copy and paste one of the existing files, then rename the file to something that reflects its use (ensuring that you retain the .db3 extension of course).

  4. Finally, in cc-Modeler use the 'Select Database' menu to connect to that database (and also to give it a descriptive name)

  5. Update the data as needed in cc-Modeler. For example, if you copied from the 'Default' database then it has just the example Projects and you will add to these; whereas if you copied a database already containing your own data, you may just need to modify the existing Days (call volumes, service levels etc)

Note

The cc-Modeler data folder, ProgramData\cc-Modeler, was created with full access rights so that all users can connect to any databases within it.


Database Access Issues

Database Access

Windows PC's in corporate environments generally have restricted rights for non-privileged users, either via User Access Control (UAC) or by group policies.

Following are some guidelines for setting up access rights to cc-Modeler database files -

If you don't need to share cc-Modeler data with other users, always use the 'ProgramData\cc-Modeler' folder for your database files. cc-Modeler has already set up full access rights on this folder.

To share data between users on the same PC (i.e. multiple logins) there is no issue if you use the default folder (above), as it has full access for 'Everyone'. If you use a different folder however you will need to set its access rights appropriately. Important - if you don't get this right, Windows will 'virtualize' the data automatically. The symptoms of this virtualization will be that each user only sees their own data, not any updates that someone else has made.

To share data between users on different PC's, we recommend you set up the 'ProgramData\cc-Modeler' folder on each PC as a network share

To have all the cc-Modeler databases residing on a server, involve your I.T. admin people.

Notes for I.T. staff

  • cc-Modeler databases (SQLite) are a single file and network access is by simple file sharing (with concurrency controlled by associated lock files). There is no client-server environment to set up or maintain.

  • Access to cc-Modeler's database files needs to have read/write/modify rights for the user. Also keep in mind that Windows Vista, Windows 7 and later versions will automatically virtualize data if the access rights are not sufficient for the logged-on user - cc-Modeler may appear to work, but the user is actually only working on their own copy.

  • cc-Modeler utilizes a transactional model, which also minimizes network traffic.


Naming a Database

As well as its filename, each database has a short, descriptive name. This makes it far easier to see which database you are currently using, and we recommend you name every database.

To rename, use the 'Select Database' menu (which initially shows the current database) then click the 'Rename' button and enter a short description.

Note

You cannot rename the default database (the ccMP-Default.db3 file) - it is always called 'Default' and the 'Rename' button will be disabled.


Importing Version 2 Data

The format of the cc-Modeler database has changed in Version 3 onwards. A database file now has an extension of .db3, whereas in V2 it had an extension of .dat

If you need to import existing Version 2 data (that is, a CCMP.dat file) the procedure is as follows:

  • Copy the CCMP.dat file it to any folder on your PC. Then start cc-Modeler Pro and choose the ‘Import Data’ option (under ‘Tools’ - ‘Options’).

  • Browse to the folder you saved the database into and click ‘Convert’. This converts the old data and creates a new DB3 file in the same folder.

  • Finally, to use that database, just select it via ‘Data’ - ‘Select Database’.

  • Note that the database descriptive name is initially ‘Imported Data’ - you can change that by the ‘Rename’ button on the ‘Select Database’ screen

(Once the conversion is complete, the old database is retained as ccMP-21X.dat)


Concepts

Scenarios provide you with the means to change the key parameters for the selected Days and instantly see the effect on the number of agents required and the service performance.

  • You can vary the calls, talk duration, wrapup time and service level goal

  • As you change any parameter, cc-Modeler automatically recalculates all values and graphs

  • You can save the results or 'undo' the scenario

For example -

  • See the impact of a 5 percent increase in call volumes on your service performance

  • Identify how many additional agents you would need to handle an extra 10% of calls

  • Identify what a reduction in talk times would give you in service performance

  • See what implementation of a new service level goal would mean as far as your staffing levels are concerned


Saving a Scenario

  • If you want to undo the scenario, simply click 'Cancel'.

  • If you want to save the updated Days values, click 'Save'. The old Days values are overwritten.

  • To save the scenario as a new Days, click 'Save As'. Enter the Description (title) and a new days is created with the scenario values. For example, to create a new Days with an additional 20% of calls, simply use Scenarios to increase the calls by 20% and 'Save As' with a description of '20 percent more calls'.


Saving a Scenario

  • If you want to undo the scenario, simply click Cancel.

  • If you want to save the new Days values, click Save. The old Days values are overwritten.

  • To save the scenario as a new Days, click Save As. Enter the Description (title) and a new days is created with the scenario values. For example, to create a new Days with an additional 20% of calls, simply use Scenarios to increase the calls by 20% and 'Save As' with a description of '20 percent more calls'.


Concepts

cc-Modeler Professional uses a type of mathematics called queuing theory to calculate. Called the 'Erlang C' formula, it gives excellent results, but -

  • It can only handle a single type of call, not a mix of say, phone calls, emails and chat

  • You can only have a single call priority, not an environment where different types of call may be prioritized differently by your phone system

  • It cannot calculate abandonment, and always use 'Answered Calls' as the input parameter (not 'Offered Calls')

The 'Simulation' module removes all of these restrictions by setting up a simulation with 'real' calls of various types arriving, being queued and being handled by agents. The simulation runs so quickly that it calculates several million calls (several years worth of data) in a few seconds.

This also means that you can use those results in cc-Modeler Pro itself to set the equivalent parameters. See Setting Up Multiple Call Types

To simulate abandonment, see Calculating Abandonment Rates


Using Simulation

Simulation Help


Getting Started

Select the 'Calculator' option from the 'Tools' menu.

  • The principle of the Calculator is 'enter what you know, then calculate what you don't know'.

  • The main screen is grouped into 3 selectable panes -

  • Calls

The number of calls per hour and the work time on each (split into talk time and wrapup time).

  • Service Level

The required service level, defined as either average delay (time on hold) or the percent of calls which must be answered within a designated number of seconds.

  • Agents

The number of agents needed

There is another pane, 'Queue Statistics' which shows additional calculations, such as the percent of calls which will be answered without being queued; the average calls in the queue etc.

Let's get started ...

  1. Click the arrow button at the left of the pane you wish to calculate.

    For example, we want to know the number of agents to handle 200 calls per hour with an average delay (caller time on hold) of 20 seconds, so click the arrow beside the 'Agents' section.

  2. Enter 200 in the 'Calls per Hour' field, 180 seconds in the 'Average Talk Time' and 30 seconds in the 'Wrapup Time'

  3. Select the 'Average Delay' option and enter 20 seconds as the required delay

  4. Finally, click the 'Calculate' button. The results are shown in the 'Agents Required' section.

    • You will need 15 agents to handle this call volume with an average of 20 second delay (time in queue).

    • Note that cc-Modeler also show you that in this case 86% of calls will be answered within 40 seconds

    • For an explanation of the other results, see the 'Parameters' topic.

  5. Now click the 'Graphs' button. A series of graphs is shown - have a look through them to see the sorts of details available. Note that you can leave the 'Graphs' window open while you calculate - the graphs always reflect the latest calculation.

  6. You will notice an 'Auto Calc' option directly under the 'Calculate' button. Select this - you see that now each of the input parameters can be varied and the results automatically recalculated each time. (Note - you can still enter values directly in each field and then use the 'up/down' buttons to vary the initial values).


Parameters

Call Parameters

Parameter

Details

Source of Data

Calls Per Hour

The incoming number of calls per hour.

Notes

1. This will vary throughout a typical day. Use cc-Modeler to calculate the number of agents needed at any time of day, based on the call volume at that time of day.

2. Calls per hour is answered calls, not total incoming calls. (Answered = Incoming - Abandoned)

Telephone or ACD reports.

Depending on the ACD vendor, some reports may present calls in 30 minute intervals - simply multiply the half-hourly totals to get calls per hour.

Average Talk Time

The average time an agent spends on the phone with each caller

Wrapup Time

The average time the agent spends after hanging up the phone and before answering the next call. (Wrapup typically includes administration and back-end activities such as completing data entry of the previous call details).

Depending on the ACD vendor and the way your center operates, it can sometimes be difficult to establish average wrapup times.

Notes

1. If total call time reports are available, but not split into talk and wrapup, you can use total for 'talk time' and set wrapup as zero. The only calculation that will be affected in cc-Modeler is the number of trunks required.

2. If you wish to estimate wrapup times, try 'back calculating' by entering your actual statistics (calls, agents, talk time and service level) and let cc-Modeler calculate wrapup.

Total Call Duration

The sum of talk time + wrapup time


Service Level Parameters

Parameter

Details

Source of Data

Average Delay

The average delay experienced by callers before their call is answered.

Note that service levels may be defined as either an average delay; or alternatively a percentage target (e.g. 80% of calls to be answered within 40 seconds).

cc-Modeler accepts either format and automatically calculates the other.

Center goals, ACD reports

Note that targets vary widely depending on the nature of the call center and the industry you are in. Typical service level targets may be '90% within 20 seconds' (which equates approximately to an average delay of 20 seconds).

OR

Percent of Calls within X Seconds

The percent of all calls that should be answered within a specified period. e.g. 90% within 40 seconds delay.

Note If you have selected 'Average Delay' you can still enter a value for 'Within X seconds'. cc-Modeler will use this as the threshold and automatically calculate the percent answered within this threshold.

e.g. Specify average delay as 30 seconds and Within X seconds as 60. Click 'Calculate' and you will see that a 30 seconds average delay is equivalent to 90% answered within 60 seconds (this will vary slightly depending on call volumes and total duration)


Agent Parameters

Parameter

Details

Source of Data

Number of Agents / Operators

The number of agents required to meet the designated service level.

Note that the calculation always gives the minimum actual agents required, never a fraction. So, for example, if 21.2 agents would be needed in theory, the result is always shown as 22.

Talk Time Ratio

The proportion of time an agent is working on calls.

Talk Time Ratio = (Total Call Duration * Calls Handled Per Hour) / Available Time

Note This does not take breaks into account e.g. meal breaks, admin time etc.

Important It is NOT possible to improve productivity simply by increasing the talk time ratio - if you do that then your service level will go DOWN. The talk time ratio is determined entirely by the required service level. For example, you will always have someone waiting for the next call in order to achieve an average delay of 10 seconds. (In fact the maximum talk ratio that can be achieved for a 10 second average delay is only 73%, excluding breaks and other 'unavailable' time).

If you want to improve productivity, focus on achieving shorter talk times, shorter wrapup times, and better management of breaks, punctuality, calls per agent etc.


Queue Statistics

Parameter

Details

Answered Without Queuing

The percent of all calls that will be answered without being queued at all (i.e. effectively answered with a delay of zero).

Average Calls in Queue

The average number of calls in the ACD queue

Maximum Time in Queue

The longest time that a caller will be waiting 'in the queue'.

Strictly speaking what is shown as maximum time is actually the hourly 99th percentile i.e. in any one hour period, only one call is expected to exceed this delay.

Trunks Required

The number of incoming phone trunks required to handle this call volume, including queued calls.

Note This is based on allowing 1% of callers to receive a 'busy' tone and redial again. No account is made of abandoned calls.

The number of trunks required depends on several things, including -

  • the number of agents (callers speaking to an agent)

  • the delay before answer (callers waiting to be answered)

  • the number of queued calls. (Which is also dependent on the average delay before answer, as there will be more calls queued and each queued call ties up a trunk).


Calculate Agents Required

To calculate the number of agents required -

  1. Click the arrow button at the left of the 'Agents' pane. The background color changes and the caption shows 'Calculate Agents Required'

  2. In the 'Calls' pane, enter -

  • Calls per Hour

  • Average Talk Time (in seconds)

  • Wrapup Time (in seconds)

  3. In the 'Service Level' pane -

  • Specify whether the calculation is to use 'Average Delay' or 'Percent Within'

  • Enter either -

    • Average Delay; or

    • Percent within and the threshold (seconds) e.g. 80% within 40 seconds

Note When using average delay, the 'Percent Within; is also automatically calculated. You can enter a value for the threshold (seconds) that you wish to calculate the percent for.

  4. Click the 'Calculate' button. The number of agents required is shown in the 'Agents' section, along with the Talk Time Ratio. The 'Queue Statistics' are also shown.

Notes

  • If 'Auto Calc' is selected, there is no need to click 'Calculate'. Results are recalculated automatically whenever you change a value or move to a different field.

  • You can have the 'Graphs' window displayed continually - the graphs are updated whenever a calculation is made.


Calculate Service Level

To calculate the service level which will be achieved for a particular number of agents and calls -

  1. Click the arrow button at the left of the 'Service Level' pane. The background color changes and the caption shows 'Calculate Service Level'

  2. In the 'Calls' pane, enter -

  • Calls per Hour

  • Average Talk Time (in seconds)

  • Wrapup Time (in seconds)

  3. In the 'Service Level' pane -

  • If required, change the value of the threshold (seconds) that you wish to calculate the percent for.

  4. In the 'Agents' pane enter the number of available agents you have

  5. Click the 'Calculate' button. The number of agents required is shown in the 'Agents' section, along with the Talk Time Ratio. The 'Queue Statistics' are also shown.


Calculate Handled Calls or Work Time

This allows you to 'back calculate' from a given number of agents and service level. You can calculate -

  • The maximum number of calls per hour which could be handled

  • The maximum talk time per call which could be allowed for each call

  • The estimated wrapup time (given a designated talk time, calls, agents and service level). This is most commonly used to estimate the actual wrapup times if the ACD reports do not provide it.

To calculate -

  1. Click the arrow button at the left of the 'Calls' pane. The background color changes and the caption shows 'Calculate Handles Calls or Work Time'

  2. In the 'Calls' pane, select the parameter to calculate -

  • Calls per Hour

  • Average Talk Time (in seconds)

  • Wrapup Time (in seconds)

  3. Enter the other two parameters in the 'Calls' pane i.e. If you wish to calculate Average Talk Time, enter values for Calls per Hour and Wrapup Time

  4. In the 'Service Level' pane -

  • Specify whether the calculation is to use 'Average Delay' or 'Percent Within'

  • Enter either -

    • Average Delay or

    • Percent within and the threshold (seconds) e.g. 80% within 40 seconds

Note When using average delay, the 'Percent Within; is also automatically calculated. You can enter a value for the threshold (seconds) that you wish to calculate the percent for.

  5. Enter the number of available Agents in the 'Agents' pane.

  6. Click the 'Calculate' button.

Notes

  • If 'Auto Calc' is selected, there is no need to click 'Calculate'. Results are recalculated automatically whenever you change a value or move to a different field.

  • You can have the 'Graphs' window displayed continually - the graphs are updated whenever a calculation is made.


How Accurate is cc-Modeler?

The mathematics behind cc-Modeler is accurate and has been used in 'real world' situations for almost a century.

However there are usually some differences between the calculated performance and the actual results you then see from ACD reports. There are several main areas which will cause a difference between estimated and actual numbers -

  • The 'available agents' is the most likely variation. For the period of the ACD report, were all agents actually logged on and taking calls for the whole period? How many minutes in total were agents were logged out (on breaks, doing other work, late to start shift)?

  • Is your estimate of talk time and, in particular, wrapup time accurate?

  • There may have been call 'peaks' throughout the hour. This will mainly affect your calculations if you have a fairly low call volume.

  • You should use 'Answered Calls' as the 'calls per hour' parameter, not 'Incoming Calls'. cc-Modeler does not take abandoned calls into account.

  • Are agents logged on to more than one queue? This makes the ACD reports inaccurate.

  • Do you interflow between ACD queues?


Time in Queue

This graph shows what percentage of calls will be queued for how long.

In the above example -

  • 11% of callers will wait at least 120 seconds before being answered.

  • 42% of callers will be answered within 1 second (i.e. without being queued at all).


Delay versus Agents

This graph shows what service level will be achieved with various numbers of agents.

In the example above -

  • Agent numbers which meet the required service level are shown in green.

  • The calculated minimum number of agents required is 14. This will result in an average delay of 37 seconds. This highlights an important point - the specified service level in this case was 60 seconds average, not 37 seconds. Why isn't it now shown as 60 seconds? The answer is simply that 13.4 agents would give a delay of 60 seconds - however you must have 14, not 13.4.

  • With 13 agents the delay would be 100 seconds

  • With 12 agents the delay would skyrocket to over 9 minutes!

Important This demonstrates the exponential nature of staffing requirements - only a couple agents makes an enormous difference between comfortably meeting service levels versus being 'totally out of control'.

Looking at it another way, if your average delay was running at 100 seconds with 13 agents, adding just one agents will bring it down to 35 seconds; adding 2 agents will take it right down to 17 seconds.

  • With less than 12 agents, the delay is 'off the scale'. Note that invalid values are not shown as such, but are simply truncated.


Call Volume versus Delay

This graph shows the impact on the average delay time of an increase or decrease in call volumes. This is useful to model the effect of peaks and troughs in calls.

Call volumes range from 90% of normal through to 110% of normal, while keeping the number of agents constant.

In the example above -

  • The normal calls per hour (100%) gives an average delay of 37 seconds.

  • If the calls reduce to 90% then the delay becomes 15 seconds

  • If the volume increases to 110% of normal the delay blows out to 120 seconds.

Notes

  • This graph clearly shows the exponential nature of calls versus delay.

  • If your center or helpdesk has a relatively small call volume e.g. 10 calls per hour use caution when interpreting this graph. A 10% increase in calls is only 1 extra call per hour. In practice it is quite likely that you could receive a wider variation than this, say an extra 3 or more calls in any one hour (you can model this by changing the 'Calls per Hour' parameter to 7, 10 and 13 calls to see the effect).

  • In a medium to large call center with a long delay before answer (say 120 seconds), the effect on any increase in call volumes is dramatic. For example -

In this case (400 calls per hour, 120 second average delay, 25 agents), even with an additional 6% of calls in any hour the average delay has blown out to 700 seconds (12 minutes). For any more calls than this the graph is off the scale - in fact there would be an ever-increasing queue length and call abandonment rate. (Also look at the 'Time in Queue' graph - even with normal volumes several percent of callers are sitting in the queue for 8 minutes or more).

Why is this situation so unstable? One reason is that the agents already have a very high talk ratio (93%) which means there is no spare capacity - they are already operating 'at the edge'. (This call center is also likely to have a high staff turnover). However an addition of just 2 agents would handle an extra 10% of calls without impacting the delay. Remember - it is not linear! (How did we determine that 2 extra agents would solve the problem? - just refer to the 'Call Volume vs Agents' graph).


Call Volume versus Agents

This graph shows the impact on the number of agents needed for an increase or decrease in call volumes. This is useful to model the effect of peaks and troughs in calls.

Call volumes range from 90% of normal through to 110% of normal, while keeping the service level constant.

In the example above -

  • The normal calls per hour (100%) requires 14 agents (as does any range between 98% and 104%).

  • If the calls reduce to 90% then one less agent (13) is required

  • If the volume increases to 110% of normal then an extra agent (15) is required.

Notes

If your center or helpdesk has a relatively small call volume e.g. 10 calls per hour use caution when interpreting this graph. A 10% increase in calls is only 1 extra call per hour. In practice it is quite likely that you could receive a wider variation than this, say an extra 3 or more calls in any one hour (you can model this by changing the 'Calls per Hour' parameter to 7, 10 and 13 calls to see the effect).


Copying Graphs

You can copy any graph by clicking the 'Copy to Clipboard' button on the graph's toolbar.

There are 3 options -

  • Copy as a bitmap

  • Copy as a metafile (this means that the picture can be scaled)

  • Copy just the data in the graph (useful for pasting into a spreadsheet for example)

Note

To copy the 'Shifts' graph, first select 'View All Shifts (Chart)' from the menus. That shows a full-width chart which has a 'Copy' and a 'Print' button as for other graphs.


Other Graph Options

Each graph has a toolbar along the top, which allows you to perform various actions such as printing the graph, copying it to the clipboard, saving it to a file etc.

Copy to Clipboard

Copy the chart.

Print

Print the chart

Gallery

Change the type of chart (e.g. bar, line, area). Note that changes are not saved.

. 3D/2D

Show the graph as 3D (default) or 2D (useful to see the exact values on the graph).


Concepts

You may have several types of incoming call with -

  • Different talk and wrapup times

  • Different priorities

  • Different service level requirements.

Using a combination of Simulation and Professional, this is relatively straightforward to do in cc-Modeler.


Setting Up Multiple Call Types

Many call centers have agents handling more than one type of call. For example, a mix of phone calls, chat sessions and e-mails, each with different work times and service levels.

cc-Modeler Professional, with its simulation capability, can handle these complex types of operation and the following example shows you how to set it up.

SAMPLE DATA

The following worked example uses this sample data:

Call Type | Calls per hour (at busiest time) | Percent of Total Calls | Talk / Work time | Wrapup Time | Service Level (ASA)
Phone Calls | 200 | 54% | 240 secs | 30 secs | 40 secs
Chat Sessions | 100 | 27% | 400 secs | 30 secs | 20 secs
Emails (certain types) | 70 | 19% | 300 secs | 60 secs | 14400 secs (4 hours)
Total | 370 per hour |  |  |  |

INSTRUCTIONS

1. CREATE A ‘DAY’

(a) First create a new ‘Day’ using the parameters of the call type with the largest volume and/or most rigorous service level. This is simply to get an approximation to the number of agents needed at the busiest time of day. Don’t try to be too accurate at this stage - you will be changing these values later.

(b) Enter the call values for each interval through the day

(c) Identify the calls per hour at the busiest time, and the number of agents needed at that time. i.e. for this example, 4 * 92 = 368 calls per hour (not 370) and 32 agents required. These will be used in the simulation (next step).

2. RUN A SIMULATION

(a) Click the ‘Simulation’ toolbar and enter the following values -

Notes:

  • Select ‘Answered Calls’, not ‘Offered Calls’, as this is what cc-Modeler Pro uses

  • The use of ‘Call Priority’ depends on how your ACD and non-phone contact channels are set up.

For example, if all call types have the same priority then inevitably their service levels will end up being the same as well. On the other hand, there is no point giving chat sessions a ‘High’ priority in cc-Modeler compared to other call types if there is no means of implementing that in practice.

In this example we have used two different priorities to ensure that chat sessions and phone calls are handled as High priority (since they have the highest service level requirement), whereas emails are set as Low priority (i.e. the lowest service level requirement). In this case it is very worthwhile and results in a staff saving compared to just having all three call types as the same priority.

  • Select ‘Most Accurate’ for the simulation calculation.

(b) Click ‘Calculate’ to see the simulation results

As you can see, even with 34 agents we will not meet the target service levels. So try with 36 agents instead (i.e. change the ‘Available Agents’ from 32 to 36) and click ‘Calculate’ again.

In this case the service levels for each of the call types are -

Phone calls 23 seconds ASA, compared to 40 seconds required)
Chat sessions 23 seconds ASA, compared to 20 required. (The 3 second gap is probably not worth adding another agent for)
Emails 355 seconds ASA (6 minutes, compared to 4 hours required!

Important ! Also make a note of the overall delay before answer (86 seconds) shown at the top of the ’36 agents’ column - we will need this in the next step.

Notes

  • Your results may be slightly different from the above - simulation is a ‘real world’ situation and varies slightly each time you run it.

  • The ASA for both phone calls and chat is identical because they have the same Priority

  • Note that in the Simulation 'Settings' you can also have the priority of a call raised automatically if it waits longer than a specified period. e.g.

  • Save the results (the ‘Save As’ button)

3. CALCULATE WEIGHTED AVERAGE

For cc-Modeler Pro we need a single equivalent value across all call types for the talk time (work time) and also for wrapup. This is calculated as a ‘weighted average’ and is shown on the main simulation screen as ‘Equivalent To’ -

By the way, the formula is -

Weighted Average = ((T1 * N1) + (T2 * N2) + (T3 * N3)) / (N1 + N2 + N3)
Where T1 is the talk time for the first call type, N1 is the number of calls for the first call type; T2 and N2 for the second call type; and T3 and N3 for the third call type.

Plugging in the sample data we get -

Weighted Average Talk Time = ((200 * 240) + (100 * 400) + (70 * 300)) / (200 + 100 + 70) = 295 seconds
Weighted Average Wrapup = ((200 * 30) + (100 * 30) + (70 * 60)) / (200 + 100 + 70) = 36 seconds

4. UPDATE THE ‘DAY’ WITH THE FINAL PARAMETERS

In cc-Modeler Pro select the ‘Days Properties’ menu and update the ‘Average Delay Before Answer’, ‘Talk Duration’ and ‘Wrapup Time’ values, then click ‘Save’

Now cc-Modeler shows that 37 agents are needed to handle the 368 calls per hour at the busiest time. (Don’t be concerned about it showing as 37, not 36. If you hover your mouse over that cell, you see its actually 36.2 agents - remember that cc-Modeler always rounds up to the next ‘real’ person).

5. THE NEXT STEPS

Everything now reflects the specified call mix and service levels for each call type, along with the required agents for each time of the day.

  • Enter your shifts and agents as usual

  • Identify periods of over and under performance (this is shown compared to the ‘equivalent’ average delay of 30 seconds).

If your calls volumes change, you don't need to re-do the simulation or change any parameters.

However if, in the future, your required service levels for each call type change or if the call mix changes, just run the Simulation again with the updated parameters and copy the new equivalent ‘Delay Before Answer’ back into the Days Properties.


Calculating Agents Needed for E-mail & FAX

In addition to incoming telephone callers, most call centers also have background work - work which does not have the same sort of response commitment as phone callers.

For example they may need to attend to customer inquiries being received by other means such as -

  • E-mail (those without a committed service level)

  • FAX

  • Correspondence

Rather than have your on-phone agents also handle these types of call, another (and often better) way is to set up 'off-phone work' periods for the appropriate number of agents. This can work very well in practice, as there are often particular times of the day (e.g. mid afternoon) where your shift coverage results in some excess capacity.

Instructions

  1. First identify -

  • The daily number of faxes and e-mails that need to be handled

  • The turnaround time (response time) required (e.g. one day, half-day etc)

  • The average time it will take to respond to each request

  2. Based on the response time needed, establish one or more blocks of 'off phone' activities (e.g. if the response time is 'same day' then you will need one block in the morning and another late afternoon).

  3. Then calculate the number of agents you will need working in the off-phone periods.

To calculate the number of agents you will need working in the off-phone periods use the following calculation -

Step | Example
1. What is the number of faxes & e-mails per day? | 300 per day
2. What is the response time needed? (Used to determine whether once per day is sufficient for processing; or whether two or more blocks of time are needed) | 4 hour turnaround (2 blocks of time will be needed, one in the morning and another late afternoon)
3. How long does it take to process each fax or e-mail? | 5 minutes
4. How many hours per day do you have available to allocate to this activity? | 2 hours in the morning ( from 10 a.m.) plus 2 hours in the afternoon (from 2 p.m.)
5. The number of agents needed to be allocated to these activities is... | (300 requests * 5 minutes) (4 hours * 60) = 6.25 agents (that is, 7)


Chat Sessions

Providing customer support via chat sessions is becoming more and more common. Chat sessions can be treated just like any other type of call, with one exception. Generally an agent handles more than one chat concurrently (for example, 4 at once), so the concept of 'work time' per session changes slightly.

Work Time

Work Time (per session) = Session Length / Number of concurrent sessions

where Work Time is equivalent to the sum of 'Talk Time plus Wrapup' in phone call terms.

These two stats, session length and concurrent sessions, may be difficult to determine in practice, however -

  • The reports available from chat software applications should include both these

  • Alternatively you may need to estimate them manually. For example, for your chat 'busy hour', assuming 15 agents, an agent productivity of 80% and a total of 50 sessions, you can calculate as follows -

Work Time (minutes per session) = Number of agents * 60 * Productivity / Number of chat sessions

= 15 * 60 * 0.8 / 200 = 3.6 minutes

Wrapup

It will generally not be possible to separate out 'Wrapup', as it's largely the time spent switching between sessions. So in cc-Modeler we recommend -

Set a Wrapup of, say, 30 seconds. Then Talk Time simply becomes (Work Time per session - 30 seconds)


Concepts

Abandoned calls are an issue for any call center manager, as they mean dissatisfied customers. Some will call back later (retry) but some don't - they are the customers who
may be taking their business elsewhere.

  1. Relationship between Abandonment rate and ASA

As the Delay Before Answer (or ASA) goes up, more calls are queued and the time in queue gets longer.

But as customer wait longer, more of them hang up (abandon). Because of the following -

Answered Calls = Offered Calls - Abandoned Calls

more abandoned calls means less calls your staff have to answer, so abandoned calls actually 'buffer' your perceived performance. But ultimately that is illusionary as high abandonment rates mean unhappy customers.

2. How can Abandonment Rate be calculated?

There is a direct relationship between Delay Before Answer and Abandonment Percent, but unfortunately it is not linear and actually depends on many human factors. Things such as the type or urgency of call; the caller's expectations (based on past experience with you or your industry); the messages they hear while on hold; and even the attitude and expertise of your agenets (which influences the caller's willingness to wait).

Some calls hang up as soon as they reach a queue (called 'abandoned before threshhold') while others will wait virtually indefinitely.

3. Why can't I just use an average 'Delay Before Abandon'

Some modelling products claim to include abandonment in their calculations through an average 'Time to Abandon' figure (and sometimes also a 'Retry Percent'). This does not work. and the reasons why include -

  • The relationship between time on hold and abandonment rate is not linear - rather it is quite complex (and depends on human factors, not just mathematics)

  • There is no way to measure retries

  • You are introducing extra variables with quite low precision

This is why we have taken the approach, in Simulation, of using an actual abandonment profile (derived from your own ACD statistics).


Calculating Abandonment Rates

Typical call center performance goals are -

  • Delay Before Answer (or Average Speed to Answer ASA)

  • First Level Resolution

  • Abandonment Rate

  • Customer Satisfaction

As we have explained in the previous topic, abandonment rate is directly related to ASA, for example -

e.g. A 30 second ASA may result in 2% abandonment rate
50 sec ASA = 4% abandoned
90 sec ASA = 6% abandoned
160 sec ASA = 10% abandoned
280 sec ASA = 14% abandoned

This means, that for any designated abandonment goal (e.g. 'Less than 6%') you can set the matching ASA goal to achieve it (90 seconds delay before answer in the example above).

The question then becomes, how to establish this relationship. There are two approaches -

1. Determine what ASA equates to a particular Abandoned Percent

From your telephone system (ACD) statistics, look at periods where a particular abandonment rate was achieved. What was the associated ASA for that period? If you do this for a reasonable number of different periods then you may be confident to then say -

'6% abandonment can be achieved with a 90 second ASA'

Then its simply a matter of using that ASA as your goal in cc-Modeler.

2. Use the 'Simulation' module to investigate the relationships

A more sophisticated approach is to use simulation to see how the ASA and abandonments are affected by various staff numbers.

Then use the required equivalent ASA in cc-Modeler Pro. See Simulation for more details.


Call Distribution

The 'Calls By Time of day' graph is shown on the 'Daily Calls' tab.

It shows the number of incoming calls for each period though the day.


Agents By Time of Day

The 'Actual Agents by Time of Day' graph is shown on the 'Staffing' tab.

  • It shows the actual agents available for each interval through the day. The graph is color coded according to whether there are enough agents to meet the service level or not.

  • If you wish to see the 'gap' between the actual agents and the required agents for each interval, click the 'Coverage Gap' option.


Delay Before Answer By Time of Day

This is shown on the 'Service levels' tab.

It shows the Average Delay Before Answer for each interval through the day. This is color coded according to whether the service level was met (if your service level goal is based on average delay). See also the Within Goal graph on the 'Graphs' tab which shows the percent within threshold.


Percent Answered Within Threshold

The percentage of calls which will be answered within the designated number of seconds for each interval through the day. e.g. '80% within 40 seconds'.

Notes

  • This will be color coded if your service level goal is based on 'Percent Answered Within Threshold'.

  • If your service level goal is based on 'Average Delay Before Answer', the threshold shown on this graph is always 40 seconds.


Percent Queued

The percent of callers who will be queued, rather than being immediately answered by an agent when they call.


Calls in Queue

The number of callers who are in the ACD queue at each interval through the day. This is not a particularly useful measurement in most centers - use 'Max Queue Time' instead.

Numbers out of range are shown as 999 on the graph.


Max Queue Time

An estimate of the maximum time a caller will wait 'in the queue' before being answered, for each interval through the day.

Numbers out of range are shown as 999 on the graph.


Talk Ratio

The ratio (percentage) of the total time the agents spend on calls (i.e. talking plus wrapup) compared to the total time they are logged on (to the phone queue), for each interval through the day.


Trunks Required

The number of Trunks (incoming telephone lines) needed at each interval through the day, so that less than nn percent of callers get a lost or busy signal. (Where nn is the percent you have defined for this Days properties).

Numbers out of range are shown as 999 on the graph.

Notes:

  • The number of trunks required increases as your 'Average Delay Before Answer' increases.

  • If you do not have the number of trunks required, you will lose callers and the incoming call rate will decrease. RedBox Erlang does not attempt to take this into account, however if you always use 'answered calls' values rather than 'incoming calls' values for the cc-Modeler call data then it does not matter.

  • Some other calculators on the market do not calculate 'trunks required' values correctly - they underestimate the number of trunks required by not taking into account the queued calls. cc-Modeler uses full Erlang C calculations for this value.


Change call volumes

There are several ways to change call volumes for a day -

  • Import the call data from your phone or ACD reports; or

  • Copy the call data from an existing days; or

  • Use Scenarios to vary call volumes for the whole day; or

  • Change the call volumes for an interval through the day.


Copy existing Days data

To create a copy of an existing Days, select the 'Save days As...' option from the 'Days' menu. This copies everything - the calls, shifts, agents, breaks and properties.

Once you have created the copy you can modify the various elements.


Change a service level

To change a service level for an existing Days, either -

  • Select 'Days Properties' from the 'Days' menu (this also allows you to change the talk duration and wrapup time); or

  • Use 'Scenarios' to vary the service level, then save as a new Days.


Import call data

Importing call data

You can import call data from reports or spreadsheets.

  1. Copy the required data to the clipboard.

  2. Select the Days you wish to paste into.

  3. Use the 'Paste Call Data' from the 'Calls' menu.

Notes

  • If the range (number of intervals) of the data on the clipboard does not match the number of interval for the Days, you will see a warning message - cc-Modeler simply truncates or pads the data accordingly.

  • cc-Modeler can import data from the clipboard in most common formats -

  • Tab delimited

  • Comma delimited

  • From an Excel column or row

  • From a document column


Copy shifts between Projects

The 'Save Days As..' menu copies the calls to a new Days, but does not copy any shifts. The solution is simple however -

  • Select the Days with the shifts you wish to copy from and use the 'Copy All Shifts' menu.

  • Then select the Days you wish to copy to, and use the 'Paste Copied Shifts' menu. Note that the hours of operation must be the same for both the 'from' and 'to' Days.

Hint You can also copy call data between Days


Set up multiple call types

See Setting Up Multiple Call Types


Share data with other users

See Sharing Data


Overview

In a typical call center there is always room for improvement in -

  • Rostering

  • Staff productivity

  • Service levels

  • Efficiency

  • Customer satisfaction

cc-Modeler assists you in each of these key operational areas through quantitative analysis of the key operational 'drivers'.


Improve Rostering

The number of agents available at each time interval through the day can never perfectly match the incoming call volumes. However there is usually significant opportunity for improvement in staff utilisation, of the order of 10 to 15% in most centers.

Use cc-Modeler to improve rostering by -

  • Establishing the best shift arrangements (number of separate shifts, their overlap, start times and end times)

  • Have the correct number of agents on each shift (to meet the service performance goals at each interval through the day).

  • Establish rostered breaks for each shift.

  • Adjust the number of agents on each shift until the performance is consistent across the whole day. Use the cc-Modeler performance data (both for each interval and the whole day) and graphs to see how well you are doing with each modification -

  • Use the color coding on the 'Actual Agents' and 'Delay Before Answer' graphs

  • Use the 'Rostering Efficiency' values to evaluate each improvement step

  • Then have a look at the 'Maximum Time in Queue' graph as a 'sanity check'

Once you have optimum shift staffing, there will always be times throughout the day where there are excess agents available. Don't leave them sitting around - use them for off-phone activities (development of knowledge tools, admin work, other contact channels. team building, self development etc).

One final step - use the 'Scenarios' tool to ensure that any 'spike' in daily calls will not seriously impact your operation.


Improve Productivity

There are many ways to improve the productivity of your staff -

  • Improve their availability (the percent of the day that they are logged onto the phone queue). Key areas for improvement are -

  • Punctuality at the start of shift (not just arrival times, but actually logged on)

  • Have all meal and other breaks planned (i.e. rostered) and adhered to

  • Make full utilisation of intervals where there are excess staff compared to the incoming calls. These periods can be identified in advance in cc-Modeler.

  • Use the agents for planned off-phone work

  • Ensure there are regular group/team meetings

  • Set time aside for self development

  • Undertake customer satisfaction sampling and call followup

  • Minimise the performance gap between the top performers and low performers through -

  • Incentive plans

  • Coaching and regular performance evaluations

  • Better knowledge tools

  • Reduce talk duration and wrapup times

  • Talk duration can be reduced through incentive plans, training (product knowledge as well as questioning skills) and call monitoring/coaching

  • Wrapup times can be either set as part of your ACD setup (e.g. a 'not ready' time after each call) or by the agents themselves. What activities are needed at the completion of a call? Is there a better way? If you have a designated 'not ready' period set up - is it the right length?

Note The productivity of your staff is also determined to some extent by the 'talk ratio' (often termed 'occupancy'), which is itself dictated by your service performance goal - as the delay before answer goes down, so does the talk ratio. That is fine though - there are many other ways to improve staff productivity


Improve Service Levels

Service levels can be improved by -

  • Reducing talk times (through training, knowledge tools, coaching etc)

  • Reducing wrapup times (through coaching and monitoring)

  • Ensuring consistent coverage throughout the day, based on scheduling to match the incoming calls at each interval through the day

  • Ensuring that staff breaks are rostered and adhered to (agent unavailability is the single biggest issue with actual performance not meeting planned)

  • Ensuring punctuality at start of shifts

  • Ensuring that all agents perform equally e.g. handle roughly the same number of calls (through individual performance goals and performance-based incentive and reward schemes)

  • Reducing the ring time before calls are answered (remember that each ring adds about 3 seconds to the average delay)

  • Adding more agents (this should be the last resort)


Improve Caller Satisfaction

Caller satisfaction can be improved by -

  • Reducing the delay before answer. Abandonment rate (i.e. unhappy callers) increases proportionally with time in queue.

  • Simplifying the IVR (interactive voice response) questioning 'tree' - structure, number of choices.

  • Improving the resolution and/or fulfillment rate (at first call), through training, tools, knowledge bases etc.

  • Continually focus on the 'customer service' attitude of your staff - recruitment criteria, training, coaching etc

  • Survey your callers


Reduce Costs

Reducing Costs

Improving service performance does not necessarily mean increased cost - in fact, putting on additional agents should be the last resort.

Once you are meeting performance standards consistently, then further improvement converts directly into reduced costs - doing the same with less.

There is the potential for between a 10% and 20% improvement in efficiency in a typical call center.

Achieving this level of improvement isn't easy of course, but it can be done - through a balanced approach to:

  • processes

  • tools

  • people

Improvement planning needs analysis of every area of the operation, attention to detail and perseverance. It basically revolves around performance management, and workforce planning and analysis tools such as cc-Modeler play an integral part in this.


Incentive Plans

Staff incentive plans can be very effective, achieving significant increases in productivity, but also improvements in morale, motivation and team building.

The most successful plans are both individual and team-based and comprise a combination of cash bonuses, prizes, rewards and recognition awards.

The best incentive plans have a relatively short time horizon, typically one month, and are based on individual agent performance criteria including -

  • Number of calls handled

  • Talk time

  • Resolution rate

  • Ring delay

Customer satisfaction can also be included if it can be measured down to agent level.


Shrinkage

Many call centers still use a 'shrinkage factor' to cater for the effect of agents being away (vacation, sick etc).

  • This shrinkage factor can be up to 10-15% on top of actual rostering requirements.

  • cc-Modeler works on actual required people ('bums on seats') - we deliberately do not have an embedded 'shrinkage factor' calculation.

  • The reason is that in any one period, things like vacation and absenteeism do not affect every shift equally. They also do not occur evenly from day to day and week to week.

  • Applying a shrinkage percent uplift to all shifts just means you end up with overstaffing in your center (actually quite significant overstaffing in some cases).

The conclusion is that shrinkage factors are a remnant from a bygone era.

Hint In cc-Modeler, to analyze the effect on your service performance of one or more agents being away on a particular shift simply select the required shift (on the 'Staffing' tab) and reduce the number of agents by one or more. (You can also set the number of agents on a particular shift as zero).


15 Minute Breaks

How can I have 15 minute agent breaks in cc-Modeler, even when I only have call data for 30 minute intervals?

You need to convert your call data to 15 minute intervals, then create the Days with 15 minute intervals. We provide an Excel convertor to easily and accurately convert call data from 30-minute to 15-minute intervals. You can download this from here.


I have low call volumes, but cc-Modeler says I need 2 staff

For example, if you have 2 calls per hour, a 480 second work time and required ASA of 40 seconds, cc-Modeler you will always get an answer of 2 agents needed. At first glance this may seem counter-intuitive.

It is not an error however, but shows that at very low call rates, mathematical calculations also need to be matched up with management reality.

Lets look at why the math shows 2 agents needed. In the example above, even though the mean work time (talk + wrapup) is 4 minutes, there will be quite a variation in that from call to call. Also the incoming call rate will vary enormously - some periods there will be 4 calls; some periods there will be no calls at all.

When one agent is already on a call, they can be tied up for the next 4 minutes or more. Then a second call can come in during that time - how is it going to be answered within the next 40 seconds? No way, unless you have a second agent. The other aspect is that there is no such thing as 1.2 agents, so the next step from '1' is '2'.

In practice, there is a fourth consideration - productivity. Having 2 agents will give you a productivity ('talk time ratio') of around 13%. That is probably unacceptable from a business cost perspective and also agent boredom. So, balancing service level against cost, in practice you may decide to go for one agent anyway rather than two.

Hint Cross check the Pro results using the Simulation module for very low volumes - because it is based on several million 'real' calls it may give lower agents needed.


How can I incorporate abandonment

See Abandoned Concepts


Why can't I have more than 999 agents?

cc-Modeler has limited the total number of agents for a Day to 999. We believe this is a practical balance, as -

  • Larger call centers are invariably segmented into smaller groups or teams e.g. by product, type of call etc.

  • Workforce planning (agents numbers and shifts) is done at the team or group level


Why do the required trunks vary with the service level?

The calculation of the number of trunks uses an Erlang C formula, which includes such things as -

  • Number of actual agents

  • Number of calls

  • Total call duration

  • Number of queued calls

The last point is significant - as your service performance goes down, less callers can get through immediately to an agent and the number of callers in the ACD queue increases. Each queued call is tying up a phone line and hence the number of trunks required increases.


The Erlang Traffic Model

The Erlang traffic models were established by A.K. Erlang, a Danish scientist who is credited with much of the early work in telephone traffic design.

They are used throughout the world to carry out a variety of statistical estimations associated with telecommunications systems and call centers.

The Erlang C model calculates the performance of systems which incorporate queuing (rather than a caller simply getting a busy signal and hanging up). Queuing applications include switchboard operators, call center agents and helpdesks. However the same calculations also apply to supermarket checkout queues, toll booths etc.

The Erlang C model makes the following assumptions -

  • Calls are offered randomly in a queue (Poisson arrivals)

  • Users wait if they find the system busy (no account is made of the effect of abandoned calls)

  • Service times are exponential

  • Users are served in the order of their arrival

  • Users are directed to the first-available agent

  • Queue sizes are unlimited (cc-Modeler does not handle interflow between ACD queues)

  • There are not dramatic variations in call volumes within the period being calculated

As well as using the Erlang C model, cc-Modeler has a Simulation mode, which allows multiple call types, call priorities and abandonment rate. See Simulation for details.


Licensing Requirements

cc-Modeler is licensed software and can only be used in accordance with the End User License Agreement (EULA). You agree to the EULA terms as part of installing cc-Modeler on this PC.

The current license (that is, the serial number) may only be used on this computer.

If you want additional copies on other computers (for example if you have several users sharing cc-Modeler data i.e. multiple databases) then you must purchase a separate license for each one.


Purchasing cc-Modeler

You can purchase cc-Modeler Professional by clicking on the on-line purchase link below.

Purchase Now


Copying Graphs

Each graph has a 'Copy' button - which copies both the graph and data values to the clipboard.

  • To paste the graph into another application (e.g. Microsoft Word), choose 'Edit - Paste Special' and select the 'Device Independent Bitmap' option.

  • To paste just the data, choose 'Edit - Paste'


Exporting Project Data

Hyperlink to Exporting Data for the Current Days


Frequently Asked Questions

Type topic text here.


MULTIPLE CONTACT CHANNELS IN CC-MODELER PRO

Many call centers have agents handling more than one type of call. For example, a mix of phone calls, chat sessions and emails, each with different work times and service levels.

cc-Modeler Professional, with its simulation capability, can handle these types of operation and this document shows you how to set it up.

SAMPLE DATA

The following worked example uses this sample data:

Call Type | Calls per hour (at busiest time) | Percent of Total Calls | Talk / work time | Wrapup Time | Service Level (ASA)
Phone Calls | 200 | 54% | 240 secs | 30 secs | 40 secs
Chat Sessions | 100 | 27% | 400 secs | 30 secs | 20 secs
Emails | 70 | 19% | 300 secs | 60 secs | 14400 secs (4 hours)
Total | 370 per hour |  |  |  |

INSTRUCTIONS

1. CREATE A ‘DAY’

(a) First create a new ‘Day’ using the parameters of the call type with the largest volume and/or most rigorous service level. This is simply to get an approximation to the number of agents needed at the busiest time of day. Don’t try to be too accurate at this stage - you will be changing these values later.

(b) Enter the call values for each interval through the day

(c) Identify the calls per hour at the busiest time, and the number of agents needed at that time. i.e. for this example, 4 * 92 = 368 calls per hour (not 370) and 32 agents required. These will be used in the simulation (next step).

2. RUN A SIMULATION

(a) Click the ‘Simulation’ toolbar and enter the following values -

Notes:

  • Select ‘Answered Calls’, not ‘Offered Calls’, as this is what cc-Modeler Pro uses
  • The use of ‘Call Priority’ depends on how your ACD and non-phone contact channels are set up. For example, if all call types have the same priority then inevitably their service levels will end up the same as well. On the other hand, there is no point giving chat sessions a ‘High’ priority compared to phone calls if there is no means of implementing that in practice.

In this example we have used different priorities to ensure that chat sessions are handled as the highest priority (since they have the highest service level requirement); then phone calls; and lastly emails (with the lowest service level requirement)

  • Select ‘Most Accurate’ for the simulation calculation.

(b) Click ‘Calculate’ to see the simulation results

As you can see, even with 34 agents we will not quite meet the target service levels. So try with 36 agents instead (i.e. change the ‘Available Agents’ from 32 to 36) and click ‘Calculate’ again.

In this case the service levels for each of the call types are met comfortably -

Phone calls 32 seconds ASA (compared to 40 seconds required)

Chat sessions 8 seconds ASA (compared to 20 required)

Emails 349 seconds ASA (compared to 4 hours required!)

(In practice you would probably settle for 35 agents, not 36).

Important Also make a note of the overall delay before answer (86 seconds) shown at the top of the ’36 agents’ column - we will use this in the next step.

Notes

  • Your results may be slightly different from the above - simulation is a ‘real world’ situation and varies slightly each time you run it.
  • Save the results (the ‘Save As’ button)

3. CALCULATE WEIGHTED AVERAGE

For cc-Modeler Pro we need a single equivalent value across all call types for the talk time (work time) and also for wrapup. This is calculated as a ‘weighted average’ and is shown on the main simulation screen (in V2.2 and above) as ‘Equivalent To’ -

By the way, the formula is -

Weighted Average = ((T1 * N1) + (T2 * N2) + (T3 * N3)) / (N1 + N2 + N3)

Where T1 is the talk time for the first call type, N1 is the number of calls for the first call type; T2 and N2 for the second call type; and T3 and N3 for the third call type.

Plugging in the sample data we get -

Weighted Average Talk Time = ((200 * 240) + (100 * 400) + (70 * 300)) / (200 + 100 + 70)

= 295 seconds

Weighted Average Wrapup = ((200 * 30) + (100 * 30) + (70 * 60)) / (200 + 100 + 70)

= 37 seconds

4. UPDATE THE ‘DAY’ WITH THE FINAL PARAMETERS

In cc-Modeler Pro select the ‘Days Properties’ menu and update the ‘Average Delay Before Answer’, ‘Talk Duration’ and ‘Wrapup Time’ values, then click ‘Save’

Now cc-Modeler shows that 36 agents are needed to handle the 368 calls per hour at the busiest time. (Don’t be concerned about it showing as 37, not 36. If you hover your mouse over that cell, you see its actually 36.1 agents - remember that cc-Modeler always rounds up to the next ‘real’ person).

5. THE NEXT STEPS

Everything now reflects the specified call mix and service levels for each call type, along with the required agents for each time of the day.

  • Enter your shifts and agents as usual
  • Identify periods of over and under performance (this is shown compared to the ‘equivalent’ average delay of 86 seconds).

In the future, if your required service levels for each call type change, or if the call mix changes, just run the Simulation again with the updated parameters and copy the new equivalent ‘Delay Before Answer’ back into the Days Properties.

The KoolToolz Support Team

support@kooltoolz.com


New Topic

Type topic text here.


Relationship between abandonment and ASA

Type topic text here.--UPDATE--


Service Level Definitions

Definitions of Performance Statistics

Service Level Tab

By Time of Day

Percent < nn seconds

The percentage of calls which will be answered within the designated number of seconds. e.g. '80% within 40 seconds'. Also called 'Percent Answered Within Threshold' or sometimes 'Grade of Service'.

If the service level goal for this Days is based on Percent Answered Within Threshold, then the details are color-coded according to whether the service goal has been met for each interval.

Note: The 'answer' time is generally taken from when the call enters the ACD. It does not take into account the caller's time to respond to IVR questions.

Average Delay

The average delay a caller experiences before an agent answers their call, for each interval through the Day. (Also called 'Delay Before Answer').

If the service level goal for this Days is based on Average delay, then the details are color-coded according to whether the service goal has been met for each interval.

Note: Any Average Delay Before Answer greater than one hour is shown in the table as '> 60m'. It is shown on graphs as 999 seconds.

Call centers base their service level goals on either 'Average Delay Before Answer' or 'Percent Answered Within Threshold'. The two measurements are interrelated and are simply different views of the same goal - how quickly the caller is answered.

Max Time in Queue

An estimate of the maximum time a caller will wait 'in the queue' before being answered.

This is a very useful statistic, as even though service levels may appear adequate for each interval, you may see that callers are waiting up to 10 minutes at times, which may not be acceptable to you.

Notes:

Any Max Time in Queue greater than one hour is shown in the table as '> 60m'. It is shown on graphs as 999 seconds.

In practice this calculated value will vary somewhat from the actual value from your ACD reports because, in any interval, there may be calls still queued from the previous interval and because arrival rates fluctuate considerably from one interval to the next.

Talk Time Ratio

The ratio (percentage) of the total time the agents spend on calls (i.e. talking) compared to the total time they are logged on (to the phone queue).

Talk Ratios increase as the Average Delay Before Answer increases; they reduce as Average Delay Before Answer reduces. This is common sense - a short delay before answer goal means that agents are, in effect, 'idle' waiting for a call to arrive.

Notes:

  • Talk Ratio is often also called 'Occupancy'. However, the definition of Occupancy used by phone vendors is often not exactly the same as Talk Ratio, so use caution (for example, how are 'not ready' time and break times handled?)

  • Important It is NOT possible to improve productivity simply by increasing the talk time ratio - if you do that then your service level will go DOWN. The talk time ratio is determined entirely by the required service level. For example, you will always have someone waiting for the next call in order to achieve an average delay of 10 seconds. (In fact the maximum talk ratio that can be achieved for a 10 second average delay is only 73%, excluding breaks and other 'unavailable' time).

If you want to improve productivity, focus on achieving shorter talk times, shorter wrapup times, and better management of breaks, punctuality, calls per agent etc.

  • Talk Ratio is not the same as Agent Productivity. A low talk ratio is not in itself bad, however a very high talk ratio (above say 90%) is often an indicator of potential 'burnout' of agents, particularly if the ACD is set up for 'call forcing'.

In contrast Agent Productivity is generally defined as the ratio of the time agents spend on callers compared to their total rostered time. In this case there is often some opportunity for improvement - time spent on breaks, 'not ready' time, off-phone activities etc.

For Total Day

Answered Within nn seconds

The percentage of calls which will be answered within 40 seconds for the total coverage period for the day.

Many service level goals are based on the whole day, rather than meeting the goal for every period in the day.

Average Delay Before Answer

The average delay before answer for the total coverage period for the day.

Maximum Time in Queue

An estimate of the maximum time over the whole day that a caller will wait in the queue before being answered.

Average Talk Ratio

The ratio (percentage) of the total time the agents spend on calls (i.e. talking) compared to the total time they are logged on (to the phone queue).

Talk Ratios increase as the Average Delay Before Answer increases; they reduce as Average Delay Before Answer reduces. This is common sense - a short delay before answer goal means that agents are, in effect, 'idle' waiting for a call to arrive.

Notes:

The Talk Ratio is not the same as Agent Productivity. A manager cannot influence the Talk Ratio of agents directly - it is solely determined as an outcome of the service level. A low talk ratio is not in itself bad, however a very high talk ratio (above say 90%) is often an indicator of potential 'burnout' of agents, particularly if the ACD is set up for 'call forcing'.

In contrast Agent Productivity is generally defined as the ratio of the time agents spend on callers compared to their total rostered time. In this case there is often some opportunity for improvement - time spent on breaks, 'not ready' time, off-phone activities etc.

Graphs Tab

Within Goal

The percentage of calls which will be answered within the designated number of seconds for each interval through the day. e.g. '80% within 40 seconds'.

Pct Queued

The percent of callers who will be queued, rather than being immediately answered by an agent.

Calls in Queue

The number of callers who are in the ACD queue at each interval through the day. This is not a particularly useful measurement in most cases - use 'Max Queue Time' instead.

Numbers out of range are shown as 999 on the graph.

Max Queue Time

An estimate of the maximum time a caller will wait 'in the queue' before being answered, for each interval through the day.

Numbers out of range are shown as 999 on the graph.

Talk Ratio

The ratio (percentage) of the total time the agents spend on calls (i.e. talking) compared to the total time they are logged on (to the phone queue), for each interval through the day.

Trunks Required

The number of Trunks (incoming telephone lines) needed at each interval through the day, so that less than nn percent of callers get a lost or busy signal. (Where nnn is the percent you have defined for this Days).

Numbers out of range are shown as 999 on the graph.

Notes:

The number of trunks required increases as your Average delay Before Answer increases.

If you do not have the number of trunks required, you will lose callers and the incoming call rate will decrease. cc-Modeler does not attempt to take this into account, however if you always use 'answered calls' values rather than 'incoming calls' values for cc-Modeler data then it does not matter.

Some other calculators on the market do not calculate 'trunks required' values correctly - they underestimate the number of trunks required by not taking into account the queued calls. cc-Modeler uses full Erlang C calculations for this value.


SLA Average Delay

The average delay a caller experiences before an agent answers their call, for each interval through the Day. (Also called 'Delay Before Answer').

If the service level goal for this Days is based on Average delay, then the details are color-coded according to whether or not the service goal has been met for each interval.

Notes

  • Average Delay Before Answer does not include ring time (i.e. the number of rings that happen before an agent picks up the call).

  • Any Average Delay Before Answer greater than one hour is shown in the table as '> 60m'. It is shown on graphs as 999 seconds.

  • Call centers base their service level goals on either 'Average Delay Before Answer' or 'Percent Answered Within Threshold' (sometimes also referred to as 'Grade of Service'). The two measurements are interrelated and are simply different views of the same goal - how quickly the caller is answered.


SLA Daily Talk Ratio

The ratio (percentage) of the total time the agents spend on calls (i.e. talking plus wrapup) compared to the total time they are logged on (to the phone queue).

Talk Ratios increase as the Average Delay Before Answer increases; they reduce as Average Delay Before Answer reduces. This is common sense - a short delay before answer goal means that agents are, in effect, 'idle' waiting for a call to arrive.

Notes:

The Talk Ratio is not the same as Agent Productivity. A manager cannot influence the Talk Ratio of agents directly - it is solely determined as an outcome of the service level. A low talk ratio is not in itself bad, however a very high talk ratio (above say 90%) is often an indicator of potential 'burnout' of agents, particularly if the ACD is set up for 'call forcing'.

In contrast Agent Productivity is generally defined as the ratio of the time agents spend on callers compared to their total rostered time. In this case there is often some opportunity for improvement - time spent on breaks, 'not ready' time, off-phone activities etc.


SLA Max Time In Queue

An estimate of the maximum time a caller will wait 'in the queue' before being answered.

This is a very useful statistic, as even though service levels may appear adequate for each interval, you may see that callers are waiting up to 10 minutes at times, which may not be acceptable to you.

Notes:

Any 'Max Time in Queue' greater than one hour is shown in the table as '> 60m'. It is shown on graphs as 999 seconds.

In practice this calculated value will vary somewhat from the actual value from your ACD reports because -

  • In any interval, there may be calls still queued from the previous interval and because arrival rates fluctuate considerably from one interval to the next.

  • For low hourly call volumes (e.g. a small helpdesk) the calculation is not particularly applicable


SLA Percent Within

The percentage of calls which will be answered within the designated number of seconds. e.g. '80% within 40 seconds'. Also called 'Percent Answered Within Threshold' or sometimes 'Grade of Service'.

If the service level goal for this Days is based on 'Percent Answered Within Threshold', then the details are color-coded according to whether the service goal has been met for each interval.

Note: The 'answer' time is generally taken from when the call first enters the ACD. It does not take into account the caller's time to respond to IVR questions (i.e. before reaching the ACD queue).


SLA Talk Ratio

The ratio (percentage) of the total time the agents spend on calls (i.e. talking and wrapup) compared to the total time they are logged on (to the phone queue).

Talk Ratios increase as the Average Delay Before Answer increases; they reduce as Average Delay Before Answer reduces. This is common sense - a short delay before answer goal means that agents are, in effect, 'idle' waiting for a call to arrive.

Notes:

  • Talk Ratio is often also called 'Occupancy'. However, the definition of Occupancy used by phone vendors is often not exactly the same as Talk Ratio, so use caution (for example, how are 'not ready' time and break times handled?)

  • Important It is NOT possible to improve productivity simply by increasing the talk time ratio - if you do that then your service level will go DOWN. The talk time ratio is determined entirely by the required service level. For example, you will always have someone waiting for the next call in order to achieve an average delay of 10 seconds. (In fact the maximum talk ratio that can be achieved for a 10 second average delay is only 73%, excluding breaks and other 'unavailable' time).

If you want to improve productivity, focus on achieving shorter talk times, shorter wrapup times, and better management of breaks, punctuality, calls per agent etc.

  • Talk Ratio is not the same as Agent Productivity. A low talk ratio is not in itself bad, however a very high talk ratio (above say 90%) is often an indicator of potential 'burnout' of agents, particularly if the ACD is set up for 'call forcing'.

In contrast Agent Productivity is generally defined as the ratio of the time agents spend on callers compared to their total rostered time. In this case there is often some opportunity for improvement - time spent on breaks, 'not ready' time, off-phone activities etc.


The Sample Projects

Type topic text here.